uuid: 7e8e3610-fb61-4643-85ee-856a541a90bd
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_user_flood
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Configuration
migration_group: migrate_drupal_7
label: 'User flood configuration'
source:
  plugin: variable
  variables:
    - user_failed_login_identifier_uid_only
    - user_failed_login_ip_limit
    - user_failed_login_ip_window
    - user_failed_login_user_window
    - user_failed_login_user_limit
  source_module: user
process:
  uid_only:
    -
      plugin: get
      source: user_failed_login_identifier_uid_only
  ip_limit:
    -
      plugin: get
      source: user_failed_login_ip_limit
  ip_window:
    -
      plugin: get
      source: user_failed_login_ip_window
  user_limit:
    -
      plugin: get
      source: user_failed_login_user_limit
  user_window:
    -
      plugin: get
      source: user_failed_login_user_window
destination:
  plugin: config
  config_name: user.flood
migration_dependencies:
  required: {  }
  optional: {  }
